Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#502 closed enhancement (fixed)

add support for cursor motion ANSI escapes to IBMPC console

Reported by: strauman Owned by: Joel Sherrill
Priority: lowest Milestone: 2
Component: bsps Version: 4.6
Severity: minor Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

The attached patch adds support for a few
ANSI escapes
( ESC , '[' , 'D' | 'C' | 'A' | 'B' | 'H' | 'K' | 'J' )
to the IBM PC video console driver. Just enough
to keep the 'libtecla' line editor happy...

Release:
RTEMS-4.6-pre4

Environment:
i386-rtems / pcx86 BSP

Attachments (1)

pc386-console-escapes.diff (6.9 KB) - added by strauman on 12/03/06 at 13:31:12.
pc386-console-escapes.diff

Download all attachments as: .zip

Change History (2)

comment:1 Changed on 10/02/03 at 11:49:56 by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Patch applied to both branch and trunk.

Changed on 12/03/06 at 13:31:12 by strauman

Attachment: pc386-console-escapes.diff added

pc386-console-escapes.diff

Note: See TracTickets for help on using tickets.